<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="20dp"
    tools:context=".ui.employee.EmployeeFragment">

    <TextView
        android:id="@+id/fullname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:textSize="24sp"
        android:textStyle="bold"
        android:textColor="@color/black"
        android:layout_gravity="center"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        tools:text="Full Name" />

    <ImageView
        android:id="@+id/photo"
        android:layout_width="250dp"
        android:layout_height="250dp"
        android:layout_gravity="center"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        android:layout_marginBottom="16dp"
        android:src="@drawable/user_image"/>

    <TextView
        android:id="@+id/position"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="18sp"
        tools:text="Position"
        android:textColor="@color/black"
        android:layout_gravity="center"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        android:layout_marginBottom="4dp"/>

    <TextView
        android:id="@+id/lastEntry"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="16sp"
        tools:text="Last Entry"
        android:textColor="@color/black"
        android:layout_gravity="center"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        android:layout_marginBottom="16dp"/>

    <TextView
        android:id="@+id/isBlock"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/black"
        tools:text="Is Block"
        android:textSize="12sp"
        android:layout_gravity="center"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        android:layout_marginBottom="1dp"/>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerView"
        android:layout_width="match_parent"
        android:layout_height="20dp"
        android:clipToPadding="true"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        android:paddingBottom="16dp" />

    <TextView
        android:id="@+id/error"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@android:color/holo_red_dark"
        android:textStyle="bold"
        tools:text="Error"
        android:visibility="invisible"
        android:layout_gravity="center"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        android:layout_marginBottom="16dp"/>

    <Button
        android:id="@+id/admin_panel"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_gravity="center"
        android:background="@drawable/rounded_button"
        android:text="Admin Panel"
        android:textSize="24sp"
        android:layout_marginBottom="16dp"
        android:visibility="invisible"
        android:textColor="#FFFFFF" />

    <Button
        android:id="@+id/logout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_gravity="center"
        android:background="@drawable/rounded_button"
        android:text="Logout"
        android:textSize="24sp"
        android:layout_marginBottom="8dp"
        android:textColor="#FFFFFF" />

    <Button
        android:id="@+id/refresh"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_gravity="center"
        android:background="@drawable/rounded_button"
        android:text="Refresh"
        android:textSize="24sp"
        android:layout_marginBottom="8dp"
        android:textColor="#FFFFFF" />

    <Button
        android:id="@+id/scan"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_gravity="center"
        android:background="@drawable/rounded_button"
        android:text="Scan"
        android:textSize="24sp"
        android:layout_marginBottom="8dp"
        android:textColor="#FFFFFF" />

</LinearLayout>